cURL
curl --request POST \ --url https://api.example.com/api/v1/auth/users/{user_id}/roles \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "role": "<string>" } '
{ "deny_scopes": [ { "action": "<string>", "resource": "<string>" } ], "permissions": [ { "action": "<string>", "resource": "<string>" } ], "role_names": [ "<string>" ], "updated_at": "<string>", "user_id": "<string>" }
Adds a role to a user’s existing role list in etcd (idempotent)
Documentation IndexFetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txt
Use this file to discover all available pages before exploring further.
Type "Bearer" followed by a space and JWT token.
User ID
Role to assign
OK
Show child attributes